Index: bootscripts/contrib/lsb-v3/ChangeLog
===================================================================
--- bootscripts/contrib/lsb-v3/ChangeLog	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/ChangeLog	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -1,3 +1,5 @@
 ChangeLog
+
+20080830 - [dj] * Corrected remaining dependency errors in scrpt headers.
 
 20080531 - [dj] * Synced with LFS-Bootscrpts-20080531 (use udevadm)
Index: bootscripts/contrib/lsb-v3/init.d/checkfs
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/checkfs	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/checkfs	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -5,5 +5,5 @@
 # Provides:            checkfs
 # Required-Start:      udev swap $time
-# Should-Start:        lvm
+# Should-Start:
 # Required-Stop:
 # Should-Stop:
Index: bootscripts/contrib/lsb-v3/init.d/halt
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/halt	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/halt	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -6,5 +6,5 @@
 # Required-Start:
 # Should-Start:
-# Required-Stop:       localnet
+# Required-Stop:
 # Should-Stop:
 # Default-Start:       0
Index: bootscripts/contrib/lsb-v3/init.d/localnet
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/localnet	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/localnet	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -6,6 +6,6 @@
 # Required-Start:      $local_fs
 # Should-Start:
-# Required-Stop:       $network
-# Should-Stop:         swap
+# Required-Stop:
+# Should-Stop:         halt reboot
 # Default-Start:       sysinit 0 6
 # Default-Stop:
Index: bootscripts/contrib/lsb-v3/init.d/mountfs
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/mountfs	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/mountfs	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -5,5 +5,5 @@
 # Provides:            $local_fs
 # Required-Start:      udev checkfs
-# Should-Start:        lvm
+# Should-Start:
 # Required-Stop:       sendsignals
 # Should-Stop:
Index: bootscripts/contrib/lsb-v3/init.d/network
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/network	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/network	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -5,7 +5,7 @@
 # Provides:            $network
 # Required-Start:      $syslog
-# Should-Start:        
-# Required-Stop:
-# Should-Stop:         $remote_fs
+# Should-Start:
+# Required-Stop:       $syslog $local_fs swap localnet 
+# Should-Stop:         halt reboot
 # Default-Start:       3 4 5
 # Default-Stop:        0 1 2 6
Index: bootscripts/contrib/lsb-v3/init.d/reboot
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/reboot	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/reboot	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -6,5 +6,5 @@
 # Required-Start:
 # Should-Start:
-# Required-Stop:       localnet
+# Required-Stop:
 # Should-Stop:
 # Default-Start:       6
Index: bootscripts/contrib/lsb-v3/init.d/sendsignals
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/sendsignals	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/sendsignals	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -6,6 +6,6 @@
 # Required-Start:
 # Should-Start:
-# Required-Stop:       $syslog
-# Should-Stop:
+# Required-Stop:       $local_fs swap localnet
+# Should-Stop:         halt reboot
 # Default-Start:       0 6
 # Default-Stop:
Index: bootscripts/contrib/lsb-v3/init.d/setclock
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/setclock	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/setclock	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -4,8 +4,8 @@
 ### BEGIN INIT INFO
 # Provides:            $time
-# Required-Start:      udev
+# Required-Start:      udev swap
 # Should-Start:
-# Required-Stop:
-# Should-Stop:
+# Required-Stop:       $network $syslog $local_fs
+# Should-Stop:         halt reboot
 # Default-Start:       sysinit
 # Default-Stop:        
@@ -14,6 +14,6 @@
 #                      hardware clock can also be set on shutdown.
 # X-LFS-Default-Start: S25
-# X-LFS-Default-Stop:
-# X-LFS-Provided-By:   LFS
+# X-LFS-Default-Stop:  K46
+# X-LFS-Provided-By:   LFS BLFS
 ### END INIT INFO
 
Index: bootscripts/contrib/lsb-v3/init.d/swap
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/swap	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/swap	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -4,8 +4,8 @@
 ### BEGIN INIT INFO
 # Provides:            swap
-# Required-Start:      mountkernfs udev
-# Should-Start:        lvm
-# Required-Stop:       $local_fs
-# Should-Stop:
+# Required-Start:      udev
+# Should-Start:
+# Required-Stop:       localnet
+# Should-Stop:         halt reboot
 # Default-Start:       sysinit 0 6
 # Default-Stop:
Index: bootscripts/contrib/lsb-v3/init.d/sysklogd
===================================================================
--- bootscripts/contrib/lsb-v3/init.d/sysklogd	(revision abcee477f075df829c8f43198d3ee45453daae81)
+++ bootscripts/contrib/lsb-v3/init.d/sysklogd	(revision 614a14eaf08401fb44f88b984de3672404e371ab)
@@ -6,6 +6,6 @@
 # Required-Start:      localnet
 # Should-Start:
-# Required-Stop:       $network
-# Should-Stop:
+# Required-Stop:       sendsignals $local_fs swap
+# Should-Stop:         halt reboot
 # Default-Start:       2 3 4 5
 # Default-Stop:        0 1 6