Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 2373d3e16544ebbbfc770012260b3fd1ec2f7721)
+++ chapter01/changelog.xml	(revision 633f48b1896a1f1d0ec1e8fa9b69d6ea622333c3)
@@ -37,10 +37,9 @@
 -->
 
-<!-- Dummy entry to can validate the book. Remove it after the first real entry-->
     <listitem>
       <para>2007-07-31</para>
       <itemizedlist>
         <listitem>
-          <para>[manuel] - Started 7.0 milestone.</para>
+          <para>[dnicholson] - Updated to glibc-2.5.1.</para>
         </listitem>
       </itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 2373d3e16544ebbbfc770012260b3fd1ec2f7721)
+++ chapter01/whatsnew.xml	(revision 633f48b1896a1f1d0ec1e8fa9b69d6ea622333c3)
@@ -23,7 +23,9 @@
     <title>Upgraded to:</title>
 
+    <!--
     <listitem>
       <para>None yet</para>
     </listitem>
+    -->
 
     <!--<listitem>
@@ -80,8 +82,8 @@
     <listitem>
       <para>Gettext &gettext-version;</para>
-    </listitem>
+    </listitem>-->
     <listitem>
       <para>Glibc &glibc-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Grep &grep-version;</para>
Index: chapter03/patches.xml
===================================================================
--- chapter03/patches.xml	(revision 2373d3e16544ebbbfc770012260b3fd1ec2f7721)
+++ chapter03/patches.xml	(revision 633f48b1896a1f1d0ec1e8fa9b69d6ea622333c3)
@@ -100,12 +100,4 @@
 
     <varlistentry>
-      <term>Glibc Branch Update Patch - <token>&glibc-branch_update-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink url="&patches-root;&glibc-branch_update-patch;"/></para>
-        <para>MD5 sum: <literal>&glibc-branch_update-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
       <term>Grep RedHat Fixes Patch - <token>&grep-fixes-patch-size;</token>:</term>
       <listitem>
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision 2373d3e16544ebbbfc770012260b3fd1ec2f7721)
+++ chapter05/glibc.xml	(revision 633f48b1896a1f1d0ec1e8fa9b69d6ea622333c3)
@@ -37,9 +37,4 @@
   <sect2 role="installation">
     <title>Installation of Glibc</title>
-
-    <para>Apply a patch to obtain various fixes that the upstream maintainers
-    have provided:</para>
-
-<screen><userinput>patch -Np1 -i ../&glibc-branch_update-patch;</userinput></screen>
 
     <para>The Glibc documentation recommends building Glibc outside of the source
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 2373d3e16544ebbbfc770012260b3fd1ec2f7721)
+++ chapter06/glibc.xml	(revision 633f48b1896a1f1d0ec1e8fa9b69d6ea622333c3)
@@ -82,9 +82,4 @@
 's|libs -o|libs -L/usr/lib -Wl,-dynamic-linker=/lib/ld-linux.so.2 -o|' \
         scripts/test-installation.pl</userinput></screen>
-
-    <para>Apply a patch to obtain various fixes that the upstream maintainers
-    have provided:</para>
-
-<screen><userinput>patch -Np1 -i ../&glibc-branch_update-patch;</userinput></screen>
 
     <para>The <command>ldd</command> shell script contains Bash-specific
Index: packages.ent
===================================================================
--- packages.ent	(revision 2373d3e16544ebbbfc770012260b3fd1ec2f7721)
+++ packages.ent	(revision 633f48b1896a1f1d0ec1e8fa9b69d6ea622333c3)
@@ -191,8 +191,8 @@
 <!ENTITY gettext-ch6-sbu "1 SBU">
 
-<!ENTITY glibc-version "2.5">
-<!ENTITY glibc-size "14,963 KB">
+<!ENTITY glibc-version "2.5.1">
+<!ENTITY glibc-size "15,060 KB">
 <!ENTITY glibc-url "&gnu;glibc/glibc-&glibc-version;.tar.bz2">
-<!ENTITY glibc-md5 "1fb29764a6a650a4d5b409dda227ac9f">
+<!ENTITY glibc-md5 "10ea72e2c4d56c6aa13dabb7c4f9b195">
 <!ENTITY glibc-home "&gnu-software;libc/">
 <!ENTITY glibc-ch5-du "342 MB">
@@ -201,7 +201,7 @@
 <!ENTITY glibc-ch6-sbu "19.5 SBU testsuite included">
 <!ENTITY glibc-libidn-version "&glibc-version;">
-<!ENTITY glibc-libidn-size "100 KB">
+<!ENTITY glibc-libidn-size "123 KB">
 <!ENTITY glibc-libidn-url "&gnu;glibc/glibc-libidn-&glibc-libidn-version;.tar.bz2">
-<!ENTITY glibc-libidn-md5 "8787868ba8962d9b125997ec2f25ac01">
+<!ENTITY glibc-libidn-md5 "51b46f055908a5f8e409c4200d828093">
 <!ENTITY glibc-libidn-home " ">
 
Index: patches.ent
===================================================================
--- patches.ent	(revision 2373d3e16544ebbbfc770012260b3fd1ec2f7721)
+++ patches.ent	(revision 633f48b1896a1f1d0ec1e8fa9b69d6ea622333c3)
@@ -50,7 +50,4 @@
 
 
-<!ENTITY glibc-branch_update-patch "glibc-&glibc-version;-branch_update-3.patch">
-<!ENTITY glibc-branch_update-patch-md5 "cbad3863a39eed9e52af083c5035f283">
-<!ENTITY glibc-branch_update-patch-size "2,538 KB">
 
 