Index: chapter01/administrativa.xml
===================================================================
--- chapter01/administrativa.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter01/administrativa.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -30,4 +30,13 @@
 </sect2>
 
+<para>The mailing lists hosted at <uri>linuxfromscratch.org</uri> are
+also accessible via the Network News Transfer Protocol (NNTP) server.
+All messages posted to a mailing list are copied to the corresponding
+newsgroup, and vice versa.</para>
+
+<para>The news server is located at
+<uri>news.linuxfromscratch.org</uri>.</para>
+</sect2>
+
 <sect2 id="ch-scatter-irc">
 <title>IRC</title>
@@ -43,13 +52,4 @@
 <sect2 id="ch-scatter-newsserver">
 <title>News Server</title>
-
-<para>The mailing lists hosted at <uri>linuxfromscratch.org</uri> are
-also accessible via the Network News Transfer Protocol (NNTP) server.
-All messages posted to a mailing list are copied to the corresponding
-newsgroup, and vice versa.</para>
-
-<para>The news server is located at
-<uri>news.linuxfromscratch.org</uri>.</para>
-</sect2>
 
 <sect2 id="ch-scatter-wiki">
Index: chapter01/askforhelp.xml
===================================================================
--- chapter01/askforhelp.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter01/askforhelp.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -16,5 +16,5 @@
 
 <para>We also have a wonderful LFS community that is willing to offer
-assistance through IRC and the mailing lists (see the <xref
+assistance through the mailing lists and IRC (see the <xref
 linkend="ch-scatter-administrativa"/> section of this book). In order
 to assist with diagnosing and solving the problem, please include
Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter01/changelog.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -11,7 +11,7 @@
 
 <para>This is version &version; of the Linux From Scratch book, dated
-&releasedate;. If this book is more than two months old, a newer and better
-version is probably already available. To find out, please check one of the
-mirrors via <ulink url="&lfs-root;"/>.</para>
+&releasedate;. If this book is more than four to six months old, a newer and
+better version is probably already available. To find out, please check one of
+the mirrors via <ulink url="&lfs-root;"/>.</para>
 
 <para>Below is a list of changes made since the previous release of the book.
Index: chapter01/how.xml
===================================================================
--- chapter01/how.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter01/how.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -30,5 +30,5 @@
 patches need to be downloaded to build an LFS system and how to store
 them on the new file system. <xref linkend="chapter-final-preps"/>
-discusses the setup for an appropriate work environment. Please read
+discusses the setup for an appropriate working environment. Please read
 <xref linkend="chapter-final-preps"/> carefully as it explains several
 important issues the developer should be aware of before beginning to
@@ -55,14 +55,14 @@
 </para>
 
-<para>While this may initially seem like a lot of work to get away
-from a host distribution, a full technical explanation is provided at
-the beginning of <xref linkend="chapter-temporary-tools"/>.</para>
+<para>While this may initially seem like a lot of work to isolate the new system
+from the host distribution, a full technical explanation is provided at the
+beginning of <xref linkend="chapter-temporary-tools"/>.</para>
 
 <para>In <xref linkend="chapter-building-system"/>, the full LFS system is
-built. The chroot (change root) program is used to enter a virtual
+built. The <command>chroot</command> (change root) program is used to enter a virtual
 environment and start a new shell whose root directory will be set to
 the LFS partition. This is very similar to rebooting and instructing
 the kernel to mount the LFS partition as the root partition. The
-system does not actually reboot, but instead chroots because creating a
+system does not actually reboot, but instead <command>chroot</command>'s because creating a
 bootable system requires additional work which is not necessary just
 yet. The major advantage is that <quote>chrooting</quote> allows the
@@ -83,5 +83,5 @@
 step is discussed in the following chapters and package descriptions.
 Items that may seem complicated will be clarified, and everything will
-fall into place as the developer embarks on the LFS adventure.</para>
+fall into place as the reader embarks on the LFS adventure.</para>
 
 </sect1>
Index: chapter02/creatingpartition.xml
===================================================================
--- chapter02/creatingpartition.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter02/creatingpartition.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -23,5 +23,5 @@
 the packages. However, if the LFS system is intended to be the primary
 Linux system, additional software will probably be installed which
-will require additional space (2 or 3 GB). The LFS system itself will
+will require additional space (2-3 GB). The LFS system itself will
 not take up this much room. A large portion of this requirement
 is to provide sufficient free temporary storage. Compiling
Index: chapter03/introduction.xml
===================================================================
--- chapter03/introduction.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter03/introduction.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -8,20 +8,15 @@
 <?dbhtml filename="introduction.html"?>
 
-<para>This chapter includes a list of packages that need to be
-downloaded for building a basic Linux system. The listed version numbers
-correspond to versions of the software that are known to work, and
-this book is based on their use. We highly recommend not using newer
-versions because the build commands for one version may not work with
-a newer version. The newest package versions may also have problems
-that work-arounds have not been developed for yet.</para>
-
-<para>All the URLs, when possible, refer to the package's information
-page at <ulink url="http://www.freshmeat.net/"/>. The Freshmeat pages
-provide easy access to official download sites, as well as project
-websites, mailing lists, FAQ, changelogs, and more.</para>
+<para>This chapter includes a list of packages that need to be downloaded for
+building a basic Linux system. The listed version numbers correspond to versions
+of the software that are known to work, and this book is based on their use. We
+highly recommend not using newer versions because the build commands for one
+version may not work with a newer version. The newest package versions may also
+have problems that require work-arounds. These work-arounds will be developed
+and stabilized in the SVN version of the book.</para>
 
 <para>Download locations may not always be accessible. If a download
 location has changed since this book was published, Google (<ulink
-url="http://www.google.com"/>) provides a useful search engine for
+url="http://www.google.com/"/>) provides a useful search engine for
 most packages. If this search is unsuccessful, try one of the
 alternate means of downloading discussed at <ulink
Index: chapter04/aboutsbus.xml
===================================================================
--- chapter04/aboutsbus.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter04/aboutsbus.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -30,8 +30,9 @@
 
 <para>In general, SBUs are not entirely accurate because they depend on many
-factors, not just the GCC version. Note that on Symmetric Multi-Processor
-(SMP)-based machines, SBUs are even less accurate.  They are provided here to
-give an estimate of how long it might take to install a package, but the numbers
-can vary by as much as dozens of minutes in some cases.</para>
+factors, including the host system's version of GCC. Note that on Symmetric
+Multi-Processor (SMP)-based machines, SBUs are even less accurate.  They are
+provided here to give an estimate of how long it might take to install a
+package, but the numbers can vary by as much as dozens of minutes in some
+cases.</para>
 
 <para>To view actual timings for a number of specific machines, we recommend
Index: chapter04/abouttestsuites.xml
===================================================================
--- chapter04/abouttestsuites.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter04/abouttestsuites.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -42,7 +42,8 @@
 linkend="chapter-temporary-tools"/>.</para>
 
-<para>Sometimes package test suites will give false failures. Consult the logs
-located at <ulink url="&test-results;"/> to verify whether or not these failures
-are expected. This site is valid for all tests throughout this book.</para>
+<para>Sometimes package test suites will fail, but for reasons which the
+developers are aware of and have deemed non-critical. Consult the logs located
+at <ulink url="&test-results;"/> to verify whether or not these failures are
+expected. This site is valid for all tests throughout this book.</para>
 
 </sect1>
Index: chapter04/addinguser.xml
===================================================================
--- chapter04/addinguser.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter04/addinguser.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -8,11 +8,10 @@
 <?dbhtml filename="addinguser.html"?>
 
-<para>When logged in as user <emphasis>root</emphasis>, making a
-single mistake can damage or destroy a system. Therefore, we recommend
-building the packages in this chapter as an unprivileged user. You
-could use your own user name, but to make it easier to set up a clean
-work environment, create a new user called <emphasis>lfs</emphasis> as
-a member of a new group (also named <emphasis>lfs</emphasis>) and use
-this user during the installation process. As
+<para>When logged in as user <emphasis>root</emphasis>, making a single mistake
+can damage or destroy a system. Therefore, we recommend building the packages in
+this chapter as an unprivileged user. You could use your own user name, but to
+make it easier to set up a clean working environment, create a new user called
+<emphasis>lfs</emphasis> as a member of a new group (also named
+<emphasis>lfs</emphasis>) and use this user during the installation process. As
 <emphasis>root</emphasis>, issue the following commands to add the new
 user:</para>
@@ -84,7 +83,7 @@
 
 <para>The <quote><parameter>-</parameter></quote> instructs
-<command>su</command> to start a login shell as opposed to a non-login
-shell. The difference between these two types of shells can be found
-in detail in the Bash man and info pages.</para>
+<command>su</command> to start a login shell as opposed to a non-login shell.
+The difference between these two types of shells can be found in detail in the
+<command>man</command> and <command>info</command> pages for Bash.</para>
 
 </sect1>
Index: chapter04/creatingtoolsdir.xml
===================================================================
--- chapter04/creatingtoolsdir.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter04/creatingtoolsdir.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -31,7 +31,7 @@
 <screen><userinput>ln -s $LFS/tools /</userinput></screen>
 
-<note><para>The above command is correct. The <command>ln</command>
-command has a few syntactic variations, so be sure to check the info
-and man pages before reporting what you may think is an
+<note><para>The above command is correct. The <command>ln</command> command has
+a few syntactic variations, so be sure to check the <command>info</command> and
+<command>man</command> pages before reporting what you may think is an
 error.</para></note>
 
Index: chapter04/settingenviron.xml
===================================================================
--- chapter04/settingenviron.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter04/settingenviron.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -77,11 +77,10 @@
 everything will work as expected in the chroot environment.</para>
 
-<para>By putting <filename class="directory">/tools/bin</filename>
-ahead of the standard <envar>PATH</envar>, all the programs installed in <xref
-linkend="chapter-temporary-tools"/> are picked up by the shell
-immediately after their installation. This, combined with turning off 
-hashing, limits the risk that old programs from
-the host are being used when they should not be used any
-longer.</para>
+<para>By putting <filename class="directory">/tools/bin</filename> ahead of the
+standard <envar>PATH</envar>, all the programs installed in <xref
+linkend="chapter-temporary-tools"/> are picked up by the shell immediately after
+their installation. This, combined with turning off hashing, limits the risk
+that old programs are used from the host when the same programs are available in
+the chapter 5 environment.</para>
 
 <para>Finally, to have the environment fully prepared for building the
Index: chapter05/expect.xml
===================================================================
--- chapter05/expect.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/expect.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -56,6 +56,6 @@
 <listitem><para>This explicitly tells Expect where to find Tcl's source
 directory and internal headers. Using this option avoids conditions
-where <command>configure</command> fails because it hasn't automatically
-discovered the location of the Tcl source directory.</para></listitem>
+where <command>configure</command> fails because it cannot automatically
+discover the location of the Tcl source directory.</para></listitem>
 </varlistentry>
 
@@ -64,5 +64,6 @@
 <listitem><para>This tells the configure script not to search for Tk
 (the Tcl GUI component) or the X Window System libraries, both of
-which may reside on the host system.</para></listitem>
+which may reside on the host system but will not exist in the temporary
+environment.</para></listitem>
 </varlistentry>
 </variablelist>
Index: chapter05/gawk.xml
===================================================================
--- chapter05/gawk.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/gawk.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -38,5 +38,5 @@
 <screen><userinput>make</userinput></screen>
 
-<para>To test the results (not necessary), issue: <userinput>make
+<para>To test the results, issue: <userinput>make
 check</userinput>.</para>
 
Index: chapter05/gettext.xml
===================================================================
--- chapter05/gettext.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/gettext.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -48,8 +48,7 @@
 <varlistentry>
 <term><parameter>--without-csharp</parameter></term>
-<listitem><para>This tells Gettext not to use a C# compiler, even if a
-C# compiler is installed on the host. This needs to be done because
-once we enter the chroot environment, C# will no longer be
-available.</para></listitem>
+<listitem><para>This ensures that Gettext does not build support for the C#
+compiler which may be present on the host but will not be available once we
+enter the chroot environment.</para></listitem>
 </varlistentry>
 </variablelist>
Index: chapter05/glibc.xml
===================================================================
--- chapter05/glibc.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/glibc.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -105,14 +105,11 @@
 </varlistentry>
 
-<!-- Edit Me -->
 <varlistentry>
 <term><parameter>--without-selinux</parameter></term>
-<listitem><para>When building from hosts using SELinux functionality
-(i.e. Fedora Core 3), Glibc will try to integrate this functionality into
-itself, but will fail, because we do not have this functionality in the LFS
-tools environment.  This option will disable this, allowing Glibc to build
-correctly, but will not otherwise affect the build.</para></listitem>
-</varlistentry>
-<!-- -->
+<listitem><para>When building from hosts that include SELinux functionality
+(e.g. Fedora Core 3), Glibc will build with support for SELinux. As the LFS
+tools environment does not contain support for SELinux, a Glibc compiled with
+such support will fail to operate correctly.</para></listitem>
+</varlistentry>
 </variablelist>
 
Index: chapter05/grep.xml
===================================================================
--- chapter05/grep.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/grep.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -40,8 +40,7 @@
 <varlistentry>
 <term><parameter>--disable-perl-regexp</parameter></term>
-<listitem><para>This makes sure that the <command>grep</command>
-program does not get linked against a Perl Compatible Regular
-Expression (PCRE) library that may be present on the host and would
-not be available once we enter the chroot
+<listitem><para>This ensures that the <command>grep</command> program does not
+get linked against a Perl Compatible Regular Expression (PCRE) library that may
+be present on the host but will not be available once we enter the chroot
 environment.</para></listitem>
 </varlistentry>
Index: chapter05/ncurses.xml
===================================================================
--- chapter05/ncurses.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/ncurses.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -40,8 +40,7 @@
 <varlistentry>
 <term><parameter>--without-ada</parameter></term>
-<listitem><para>This tells Ncurses not to build its Ada bindings, even
-if an Ada compiler is installed on the host. This needs to be done
-because once we enter the chroot environment, Ada will no longer be
-available.</para></listitem>
+<listitem><para>This ensures that Ncurses does not build support for the ada
+compiler which may be present on the host but will not be available once we
+enter the chroot environment.</para></listitem>
 </varlistentry>
 
Index: chapter05/perl.xml
===================================================================
--- chapter05/perl.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/perl.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -51,5 +51,6 @@
 </variablelist>
 
-<para>Compile only the required tools:</para>
+<para>Only a few of the utilities contained in this package need to be
+built:</para>
 
 <screen><userinput>make perl utilities</userinput></screen>
@@ -61,5 +62,5 @@
 be run in the next chapter if desired.</para>
 
-<para>Copy these tools and their libraries:</para>
+<para>Install these tools and their libraries:</para>
 
 <screen><userinput>cp perl pod/pod2man /tools/bin
Index: chapter05/tcl.xml
===================================================================
--- chapter05/tcl.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/tcl.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -58,5 +58,5 @@
 Greenwich Mean Time (GMT), but only for the duration of the test suite
 run. This ensures that the clock tests are exercised correctly.
-Details on the <envar>TZ</envar> environment variable is provided in
+Details on the <envar>TZ</envar> environment variable are provided in
 <xref linkend="chapter-bootscripts"/>.</para>
 
Index: chapter05/toolchaintechnotes.xml
===================================================================
--- chapter05/toolchaintechnotes.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/toolchaintechnotes.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -14,14 +14,12 @@
 section can be referred back to at any time during the process.</para>
 
-<para>The overall goal of <xref linkend="chapter-temporary-tools"/> is
-to provide a temporary environment that can be chrooted into and from
-which can be produced a clean, trouble-free build of the target LFS
-system in <xref linkend="chapter-building-system"/>. Along the way, we
-separate from the host system as much as possible, and in doing so,
-build a self-contained and self-hosted toolchain. It should be noted
-that the build process has been designed to minimize the risks for new
-readers and provide maximum educational value at the same time. In
-other words, more advanced techniques could be used to build the
-system.</para>
+<para>The overall goal of <xref linkend="chapter-temporary-tools"/> is to
+provide a temporary environment that can be chrooted into and from which can be
+produced a clean, trouble-free build of the target LFS system in <xref
+linkend="chapter-building-system"/>. Along the way, we separate the new system
+from the host system as much as possible, and in doing so, build a
+self-contained and self-hosted toolchain. It should be noted that the build
+process has been designed to minimize the risks for new readers and provide
+maximum educational value at the same time.</para>
 
 <important>
Index: chapter05/util-linux.xml
===================================================================
--- chapter05/util-linux.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter05/util-linux.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -30,7 +30,7 @@
 <title>Installation of Util-linux</title>
 
-<para>Util-linux does not use the freshly installed headers and
-libraries from the <filename class="directory">/tools</filename>
-directory. This is fixed by altering the configure script:</para>
+<para>Util-linux does not use the freshly installed headers and libraries from
+the <filename class="directory">/tools</filename> directory by default. This is
+fixed by altering the configure script:</para>
 
 <screen><userinput>sed -i 's@/usr/include@/tools/include@g' configure</userinput></screen>
@@ -44,6 +44,6 @@
 <screen><userinput>make -C lib</userinput></screen>
 
-<para>Since only a couple of the utilities contained in this package
-are needed, build only those:</para>
+<para>Only a few of the utilities contained in this package need to be
+built:</para>
 
 <screen><userinput>make -C mount mount umount
Index: chapter06/gettext.xml
===================================================================
--- chapter06/gettext.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ chapter06/gettext.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -14,6 +14,6 @@
 <sect2 role="package"><title/>
 <para>The Gettext package contains utilities for internationalization and
-localization. These allow programs to be compiled with NLS, enabling them
-to output messages in the user's native language.</para>
+localization. These allow programs to be compiled with NLS (Native Language
+Support), enabling them to output messages in the user's native language.</para>
 
 <segmentedlist>
Index: prologue/audience.xml
===================================================================
--- prologue/audience.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ prologue/audience.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -9,5 +9,5 @@
 
 <para>There are many reasons why somebody would want to read this
-book. The principle reason is to install a Linux system straight
+book. The principle reason is to install a Linux system
 from the source code. A question many people raise is, <quote>why go
 through all the hassle of manually building a Linux system from
@@ -33,7 +33,7 @@
 Linux system. When installing a regular distribution, one is often
 forced to include several programs which are probably never used.
-These programs waste precious disk space, or worse, CPU cycles. It is
+These programs waste disk space, or worse, CPU cycles. It is
 not difficult to build an LFS system of less than 100 megabytes (MB),
-which is substantially smaller when compared to the majority of existing installations.  Does
+which is substantially smaller than the majority of existing installations.  Does
 this still sound like a lot of space? A few of us have been working on
 creating a very small embedded LFS system. We successfully built a
Index: prologue/foreword.xml
===================================================================
--- prologue/foreword.xml	(revision 2ec0d203c3af587beb98406888dca6f6f5283180)
+++ prologue/foreword.xml	(revision 663ecfcc5f04e7c2860b83ef89e49f5e8b68bbbe)
@@ -12,5 +12,5 @@
 discovered issues I definitely would have liked to see improved upon.
 For example, I didn't like the arrangement of the bootscripts or the way
-programs were configured by default. I tried a number of alternate
+programs were configured by default. I tried a number of alternative
 distributions to address these issues, yet each had its pros and cons.
 Finally, I realized that if I wanted full satisfaction from my Linux
@@ -48,5 +48,5 @@
 the benefits of using this system. Users can dictate all aspects of
 their system, including directory layout, script setup, and security.
-The resulting system will be compiled straight from the source code,
+The resulting system will be compiled completely from the source code,
 and the user will be able to specify where, why, and how programs are
 installed. This book allows readers to fully customize Linux systems