Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 342b176cf9ee3261933eedc36e4d010fd62b36c9)
+++ chapter06/glibc.xml	(revision 673b0d84ba9591e07c0bdf0ee49d92eba10f502c)
@@ -1,5 +1,12 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN" "http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
+  <!ENTITY % general-entities SYSTEM "../general.ent">
+  %general-entities;
+]>
 <sect1 id="ch-system-glibc" xreflabel="Glibc">
-<title>Installing Glibc-&glibc-version;</title>
-<?dbhtml filename="glibc.html" dir="chapter06"?>
+<title>Glibc-&glibc-version;</title>
+<?dbhtml filename="glibc.html"?>
+
+<indexterm zone="ch-system-glibc"><primary sortas="a-Glibc">Glibc</primary></indexterm>
 
 <para>The Glibc package contains the main C library. This library provides all
@@ -8,11 +15,11 @@
 arithmetic, and so on.</para>
 
-<screen>&buildtime; &glibc-time;
-&diskspace; &glibc-compsize;</screen>
-
-&aa-glibc-down;
-&aa-glibc-dep;
-
-<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
+<screen>&buildtime; 12.3 SBU
+&diskspace; 784 MB</screen>
+
+<para>Glibc installation depends on: Bash, Binutils, Coreutils, Diffutils,
+Gawk, GCC, Gettext, Grep, Make, Perl, Sed, Texinfo.</para>
+
+
 
 <sect2>
@@ -36,8 +43,8 @@
 <para>Now prepare Glibc for compilation:</para>
 
-<screen><userinput>../&glibc-dir;/configure --prefix=/usr \
-&nbsp;&nbsp;&nbsp;&nbsp;--disable-profile --enable-add-ons=linuxthreads \
-&nbsp;&nbsp;&nbsp;&nbsp;--libexecdir=/usr/lib --with-headers=/usr/include \
-&nbsp;&nbsp;&nbsp;&nbsp;--without-cvs</userinput></screen>
+<screen><userinput>../glibc-&glibc-version;-20031202/configure --prefix=/usr \
+    --disable-profile --enable-add-ons=linuxthreads \
+    --libexecdir=/usr/lib --with-headers=/usr/include \
+    --without-cvs</userinput></screen>
 
 <para>The meaning of the new configure options:</para>
@@ -107,4 +114,5 @@
 localedef -i en_US -f ISO-8859-1 en_US
 localedef -i es_MX -f ISO-8859-1 es_MX
+localedef -i fa_IR -f UTF-8 fa_IR
 localedef -i fr_FR -f ISO-8859-1 fr_FR
 localedef -i fr_FR@euro -f ISO-8859-15 fr_FR@euro
@@ -114,15 +122,16 @@
 <para>Finally, build the linuxthreads man pages:</para>
 
-<screen><userinput>make -C ../&glibc-dir;/linuxthreads/man</userinput></screen>
+<screen><userinput>make -C ../glibc-&glibc-version;-20031202/linuxthreads/man</userinput></screen>
 
 <para>And install these pages:</para>
 
-<screen><userinput>make -C ../&glibc-dir;/linuxthreads/man install</userinput></screen>
+<screen><userinput>make -C ../glibc-&glibc-version;-20031202/linuxthreads/man install</userinput></screen>
 
 </sect2>
 
-<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
-
-<sect2><title>Configuring Glibc</title>
+
+<sect2 id="conf-glibc"><title>Configuring Glibc</title>
+<indexterm zone="conf-glibc"><primary sortas="e-/etc/nsswitch.conf">/etc/nsswitch.conf</primary></indexterm>
+<indexterm zone="conf-glibc"><primary sortas="e-/etc/localtime">/etc/localtime</primary></indexterm>
 
 <para>We need to create the <filename>/etc/nsswitch.conf</filename> file,
@@ -183,13 +192,13 @@
 </sect2>
 
-<sect2><title>&nbsp;</title><para>&nbsp;</para></sect2>
-
-<sect2>
+
+<sect2 id="conf-ld">
 <title>Configuring Dynamic Loader</title>
+<indexterm zone="conf-ld"><primary sortas="e-/etc/ld.so.conf">/etc/ld.so.conf</primary></indexterm>
 
 <para>By default, the dynamic loader
-(<filename>/lib/ld-linux.so.2</filename>) searches through <filename
-class="directory">/lib</filename> and <filename
-class="directory">/usr/lib</filename> for dynamic libraries that are needed
+(<filename>/lib/ld-linux.so.2</filename>) searches through <filename 
+class="directory">/lib</filename> and <filename class="directory">/usr/lib</filename> 
+for dynamic libraries that are needed
 by programs when you run them. However, if there are libraries in
 directories other than <filename class="directory">/lib</filename> and
@@ -197,7 +206,6 @@
 the <filename>/etc/ld.so.conf</filename> file for the dynamic
 loader to find them. Two directories that are commonly known to contain
-additional libraries are <filename
-class="directory">/usr/local/lib</filename> and <filename
-class="directory">/opt/lib</filename>, so we add those directories to the
+additional libraries are <filename class="directory">/usr/local/lib</filename> 
+and <filename class="directory">/opt/lib</filename>, so we add those directories to the
 dynamic loader's search path.</para>
 
@@ -216,7 +224,202 @@
 </sect2>
 
-&aa-glibc-shortdesc;
-&aa-glibc-desc;
+
+<sect2 id="contents-glibc"><title>Contents of Glibc</title>
+
+<para><emphasis>Installed programs</emphasis>: catchsegv, gencat, getconf,
+getent, glibcbug, iconv, iconvconfig, ldconfig, ldd, lddlibc4, locale,
+localedef, mtrace, nscd, nscd_nischeck, pcprofiledump, pt_chown, rpcgen,
+rpcinfo, sln, sprof, tzselect, xtrace, zdump and zic</para>
+
+<para><emphasis>Installed libraries</emphasis>: ld.so, libBrokenLocale.[a,so],
+libSegFault.so, libanl.[a,so], libbsd-compat.a, libc.[a,so], libc_nonshared.a,
+libcrypt.[a,so], libdl.[a,so], libg.a, libieee.a, libm.[a,so], libmcheck.a,
+libmemusage.so, libnsl.a, libnss_compat.so, libnss_dns.so, libnss_files.so,
+libnss_hesiod.so, libnss_nis.so, libnss_nisplus.so, libpcprofile.so,
+libpthread.[a,so], libresolv.[a,so], librpcsvc.a, librt.[a,so], libthread_db.so
+and libutil.[a,so]</para>
+
+</sect2>
+
+
+<sect2><title>Short descriptions</title>
+
+<indexterm zone="ch-system-glibc catchsegv"><primary sortas="b-catchsegv">catchsegv</primary></indexterm>
+<para id="catchsegv"><command>catchsegv</command> can be used to create a stack trace
+when a program terminates with a segmentation fault.</para>
+
+<indexterm zone="ch-system-glibc gencat"><primary sortas="b-gencat">gencat</primary></indexterm>
+<para id="gencat"><command>gencat</command> generates message catalogues.</para>
+
+<indexterm zone="ch-system-glibc getconf"><primary sortas="b-getconf">getconf</primary></indexterm>
+<para id="getconf"><command>getconf</command> displays the system configuration values
+for file system specific variables.</para>
+
+<indexterm zone="ch-system-glibc getent"><primary sortas="b-getent">getent</primary></indexterm>
+<para id="getent"><command>getent</command> gets entries from an administrative
+database.</para>
+
+<indexterm zone="ch-system-glibc glibcbug"><primary sortas="b-glibcbug">glibcbug</primary></indexterm>
+<para id="glibcbug"><command>glibcbug</command> creates a bug report and mails it to the
+bug email address.</para>
+
+<indexterm zone="ch-system-glibc iconv"><primary sortas="b-iconv">iconv</primary></indexterm>
+<para id="iconv"><command>iconv</command> performs character set conversion.</para>
+
+<indexterm zone="ch-system-glibc iconvconfig"><primary sortas="b-iconvconfig">iconvconfig</primary></indexterm>
+<para id="iconvconfig"><command>iconvconfig</command> creates fastloading iconv module
+configuration file.</para>
+
+<indexterm zone="ch-system-glibc ldconfig"><primary sortas="b-ldconfig">ldconfig</primary></indexterm>
+<para id="ldconfig"><command>ldconfig</command> configures the dynamic linker runtime
+bindings.</para>
+
+<indexterm zone="ch-system-glibc ldd"><primary sortas="b-ldd">ldd</primary></indexterm>
+<para id="ldd"><command>ldd</command> reports which shared libraries are required
+by each given program or shared library.</para>
+
+<indexterm zone="ch-system-glibc lddlibc4"><primary sortas="b-lddlibc4">lddlibc4</primary></indexterm>
+<para id="lddlibc4"><command>lddlibc4</command> assists ldd with object files.</para>
+
+<indexterm zone="ch-system-glibc locale"><primary sortas="b-locale">locale</primary></indexterm>
+<para id="locale"><command>locale</command> is a Perl program that tells the compiler
+to enable or disable the use of POSIX locales for built-in operations.</para>
+
+<indexterm zone="ch-system-glibc localedef"><primary sortas="b-localedef">localedef</primary></indexterm>
+<para id="localedef"><command>localedef</command> compiles locale specifications.</para>
+
+<indexterm zone="ch-system-glibc mtrace"><primary sortas="b-mtrace">mtrace</primary></indexterm>
+<para id="mtrace"><command>mtrace</command>...</para>
+
+<indexterm zone="ch-system-glibc nscd"><primary sortas="b-nscd">nscd</primary></indexterm>
+<para id="nscd"><command>nscd</command> is a name service cache daemon providing a
+cache for the most common name service requests.</para>
+
+<indexterm zone="ch-system-glibc nscd_nischeck"><primary sortas="b-nscd_nischeck">nscd_nischeck</primary></indexterm>
+<para id="nscd_nischeck"><command>nscd_nischeck</command> checks whether or not secure mode
+is necessary for NIS+ lookup.</para>
+
+<indexterm zone="ch-system-glibc pcprofiledump"><primary sortas="b-pcprofiledump">pcprofiledump</primary></indexterm>
+<para id="pcprofiledump"><command>pcprofiledump</command> dumps information generated by
+PC profiling.</para>
+
+<indexterm zone="ch-system-glibc pt_chown"><primary sortas="b-pt_chown">pt_chown</primary></indexterm>
+<para id="pt_chown"><command>pt_chown</command> is a helper program for grantpt to set
+the owner, group and access permissions of a slave pseudo terminal.</para>
+
+<indexterm zone="ch-system-glibc rpcgen"><primary sortas="b-rpcgen">rpcgen</primary></indexterm>
+<para id="rpcgen"><command>rpcgen</command> generates C code to implement the
+RPC protocol.</para>
+
+<indexterm zone="ch-system-glibc rpcinfo"><primary sortas="b-rpcinfo">rpcinfo</primary></indexterm>
+<para id="rpcinfo"><command>rpcinfo</command> makes an RPC call to an RPC server.</para>
+
+<indexterm zone="ch-system-glibc sln"><primary sortas="b-sln">sln</primary></indexterm>
+<para id="sln"><command>sln</command> is used to make symbolic links. The program
+is statically linked, so it is useful for making symbolic links to dynamic
+libraries if the dynamic linking system for some reason is nonfunctional.</para>
+
+<indexterm zone="ch-system-glibc sprof"><primary sortas="b-sprof">sprof</primary></indexterm>
+<para id="sprof"><command>sprof</command> reads and displays shared object profiling
+data.</para>
+
+<indexterm zone="ch-system-glibc tzselect"><primary sortas="b-tzselect">tzselect</primary></indexterm>
+<para id="tzselect"><command>tzselect</command> asks the user about the location of the
+system and reports the corresponding time zone description.</para>
+
+<indexterm zone="ch-system-glibc xtrace"><primary sortas="b-xtrace">xtrace</primary></indexterm>
+<para id="xtrace"><command>xtrace</command> traces the execution of a program by
+printing the currently executed function.</para>
+
+<indexterm zone="ch-system-glibc zdump"><primary sortas="b-zdump">zdump</primary></indexterm>
+<para id="zdump"><command>zdump</command> is the time zone dumper.</para>
+
+<indexterm zone="ch-system-glibc zic"><primary sortas="b-zic">zic</primary></indexterm>
+<para id="zic"><command>zic</command> is the time zone compiler.</para>
+
+<indexterm zone="ch-system-glibc ld.so"><primary sortas="c-ld.so">ld.so</primary></indexterm>
+<para id="ld.so"><command>ld.so</command> is the helper program for shared library
+executables.</para>
+
+<indexterm zone="ch-system-glibc libBrokenLocale"><primary sortas="c-libBrokenLocale">libBrokenLocale</primary></indexterm>
+<para id="libBrokenLocale"><command>libBrokenLocale</command> is used by programs, such as
+Mozilla, to solve broken locales.</para>
+
+<indexterm zone="ch-system-glibc libSegFault"><primary sortas="c-libSegFault">libSegFault</primary></indexterm>
+<para id="libSegFault"><command>libSegFault</command> is a segmentation fault signal
+handler. It tries to catch segfaults.</para>
+
+<indexterm zone="ch-system-glibc libanl"><primary sortas="c-libanl">libanl</primary></indexterm>
+<para id="libanl"><command>libanl</command> is an asynchronous name lookup
+library.</para>
+
+<indexterm zone="ch-system-glibc libbsd-compat"><primary sortas="c-libbsd-compat">libbsd-compat</primary></indexterm>
+<para id="libbsd-compat"><command>libbsd-compat</command> provides the portability needed
+in order to run certain BSD programs under Linux.</para>
+
+<indexterm zone="ch-system-glibc libc"><primary sortas="c-libc">libc</primary></indexterm>
+<para id="libc"><command>libc</command> is the main C library -- a collection of
+commonly used functions.</para>
+
+<indexterm zone="ch-system-glibc libcrypt"><primary sortas="c-libcrypt">libcrypt</primary></indexterm>
+<para id="libcrypt"><command>libcrypt</command> is the cryptography library.</para>
+
+<indexterm zone="ch-system-glibc libdl"><primary sortas="c-libdl">libdl</primary></indexterm>
+<para id="libdl"><command>libdl</command> is the dynamic linking interface library.</para>
+
+<indexterm zone="ch-system-glibc libg"><primary sortas="c-libg">libg</primary></indexterm>
+<para id="libg"><command>libg</command> is a runtime library for g++.</para>
+
+<indexterm zone="ch-system-glibc libieee"><primary sortas="c-libieee">libieee</primary></indexterm>
+<para id="libieee"><command>libieee</command> is the IEEE floating point library.</para>
+
+<indexterm zone="ch-system-glibc libm"><primary sortas="c-libm">libm</primary></indexterm>
+<para id="libm"><command>libm</command> is the mathematical library.</para>
+
+<indexterm zone="ch-system-glibc libmcheck"><primary sortas="c-libmcheck">libmcheck</primary></indexterm>
+<para id="libmcheck"><command>libmcheck</command> contains code run at boot.</para>
+
+<indexterm zone="ch-system-glibc libmemusage"><primary sortas="c-libmemusage">libmemusage</primary></indexterm>
+<para id="libmemusage"><command>libmemusage</command> is used by memusage to help collect
+information about the memory usage of a program.</para>
+
+<indexterm zone="ch-system-glibc libnsl"><primary sortas="c-libnsl">libnsl</primary></indexterm>
+<para id="libnsl"><command>libnsl</command> is the network services library.</para>
+
+<indexterm zone="ch-system-glibc libnss"><primary sortas="c-libnss*">libnss*</primary></indexterm>
+<para id="libnss"><command>libnss*</command> are the Name Service Switch libraries,
+containing functions for resolving host names, user names, group names,
+aliases, services, protocols,and the like.</para>
+
+<indexterm zone="ch-system-glibc libpcprofile"><primary sortas="c-libpcprofile">libpcprofile</primary></indexterm>
+<para id="libpcprofile"><command>libpcprofile</command> contains profiling functions used
+to track the amount of CPU time spent in which source code lines.</para>
+
+<indexterm zone="ch-system-glibc libpthread"><primary sortas="c-libpthread">libpthread</primary></indexterm>
+<para id="libpthread"><command>libpthread</command> is the POSIX threads library.</para>
+
+<indexterm zone="ch-system-glibc libresolv"><primary sortas="c-libresolv">libresolv</primary></indexterm>
+<para id="libresolv"><command>libresolv</command> contains functions for creating,
+sending, and interpreting packets to the Internet domain name servers.</para>
+
+<indexterm zone="ch-system-glibc librpcsvc"><primary sortas="c-librpcsvc">librpcsvc</primary></indexterm>
+<para id="librpcsvc"><command>librpcsvc</command>contains functions providing
+miscellaneous RPC services.</para>
+
+<indexterm zone="ch-system-glibc librt"><primary sortas="c-librt">librt</primary></indexterm>
+<para id="librt"><command>librt</command> contains functions providing most of the
+interfaces specified by the POSIX.1b Realtime Extension.</para>
+
+<indexterm zone="ch-system-glibc libthread_db"><primary sortas="c-libthread_db">libthread_db</primary></indexterm>
+<para id="libthread_db"><command>libthread_db</command> contains functions useful for
+building debuggers for multi-threaded programs.</para>
+
+<indexterm zone="ch-system-glibc libutil"><primary sortas="c-libutil">libutil</primary></indexterm>
+<para id="libutil"><command>libutil</command> contains code for "standard" functions
+used in many different Unix utilities.</para>
+
+</sect2>
+
+
 
 </sect1>
-