Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision cf30814bdbbfec9dd94f89f70d6289cd18a3403e)
+++ chapter01/changelog.xml	(revision 676f0fdcecb3d53217a274db1138ff22005bea9a)
@@ -42,4 +42,50 @@
 
     <listitem>
+      <para>2022-03-31</para>
+      <itemizedlist>
+        <listitem revision="sysv">
+          <para>[bdubbs] - Update to sysvinit-3.02.  Fixes
+          <ulink url="&lfs-ticket-root;5041">#5041</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to zlib-1.2.12.  Fixes
+          <ulink url="&lfs-ticket-root;5040">#5040</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to expat-2.4.8.  Fixes
+          <ulink url="&lfs-ticket-root;5039">#5039</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[bdubbs] - Update to Jinja2-3.1.1.  Fixes
+          <ulink url="&lfs-ticket-root;5038">#5038</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to Python-3.10.4.  Fixes
+          <ulink url="&lfs-ticket-root;5037">#5037</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to procps-ng-4.0.0.  Fixes
+          <ulink url="&lfs-ticket-root;5036">#5036</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to iproute2-5.17.0.  Fixes
+          <ulink url="&lfs-ticket-root;5035">#5035</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to meson-0.62.0.  Fixes
+          <ulink url="&lfs-ticket-root;5034">#5034</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.17.1.  Fixes
+          <ulink url="&lfs-ticket-root;5033">#5033</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to util-linux-2.38.  Fixes
+          <ulink url="&lfs-ticket-root;4997">#4997</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2022-03-25</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision cf30814bdbbfec9dd94f89f70d6289cd18a3403e)
+++ chapter01/whatsnew.xml	(revision 676f0fdcecb3d53217a274db1138ff22005bea9a)
@@ -132,10 +132,10 @@
       <para>Intltool-&intltool-version;</para>
     </listitem>-->
-   <!--<listitem>
+    <listitem>
       <para>IPRoute2-&iproute2-version;</para>
-    </listitem>-->
-    <!--<listitem revision="systemd">
+    </listitem>
+    <listitem revision="systemd">
       <para>Jinja2-&jinja2-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Kbd-&kbd-version;</para>
@@ -210,7 +210,7 @@
       <para>Pkg-config-&pkgconfig-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Procps-ng-&procps-ng-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Psmisc-&psmisc-version;</para>
@@ -234,7 +234,7 @@
       <para>Systemd-&systemd-version;</para>
     </listitem>-->
-   <!--<listitem revision="sysv">
+    <listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Tar-&tar-version;</para>
@@ -249,7 +249,7 @@
       <para>Tzdata-&tzdata-version;</para>
     </listitem>
-   <!--<listitem>
+    <listitem>
       <para>Util-Linux-&util-linux-version;</para>
-    </listitem>-->
+    </listitem>
     <listitem>
       <para>Vim-&vim-version;</para>
@@ -261,7 +261,7 @@
       <para>XZ-Utils-&xz-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Zlib-&zlib-version;</para>
-    </listitem>-->
+    </listitem>
    <!--<listitem>
       <para>Zstd-&zstd-version;</para>
Index: chapter08/python.xml
===================================================================
--- chapter08/python.xml	(revision cf30814bdbbfec9dd94f89f70d6289cd18a3403e)
+++ chapter08/python.xml	(revision 676f0fdcecb3d53217a274db1138ff22005bea9a)
@@ -49,5 +49,4 @@
             --with-system-expat  \
             --with-system-ffi    \
-            --with-ensurepip=yes \
             --enable-optimizations</userinput></screen>
 
@@ -68,12 +67,4 @@
         <para>This switch enables linking against system version of
         <application>libffi</application>.</para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term><parameter>--with-ensurepip=yes</parameter></term>
-      <listitem>
-        <para>This switch enables building <command>pip</command> and
-        <command>setuptools</command> packaging programs.</para>
       </listitem>
     </varlistentry>
Index: chapter08/util-linux.xml
===================================================================
--- chapter08/util-linux.xml	(revision cf30814bdbbfec9dd94f89f70d6289cd18a3403e)
+++ chapter08/util-linux.xml	(revision 676f0fdcecb3d53217a274db1138ff22005bea9a)
@@ -108,4 +108,7 @@
 <screen><userinput remap="test">chown -Rv tester .
 su tester -c "make -k check"</userinput></screen>
+
+    <para>The <emphasis>hardlink</emphasis> tests will fail if the host's kernel 
+    does not have the option CONFIG_CRYPTO_USER_API_HASH set.</para>
 
     <para>Install the package:</para>
Index: packages.ent
===================================================================
--- packages.ent	(revision cf30814bdbbfec9dd94f89f70d6289cd18a3403e)
+++ packages.ent	(revision 676f0fdcecb3d53217a274db1138ff22005bea9a)
@@ -164,8 +164,8 @@
 <!ENTITY eudev-fin-sbu "0.2 SBU">
 
-<!ENTITY expat-version "2.4.7">
+<!ENTITY expat-version "2.4.8">
 <!ENTITY expat-size "444 KB">
 <!ENTITY expat-url "&sourceforge;expat/expat-&expat-version;.tar.xz">
-<!ENTITY expat-md5 "75a1f475e30281a00cb6f083ea481159">
+<!ENTITY expat-md5 "0584a7318a4c007f7ec94778799d72fe">
 <!ENTITY expat-home "https://libexpat.github.io/">
 <!ENTITY expat-fin-du "12 MB">
@@ -346,16 +346,16 @@
 <!ENTITY intltool-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY iproute2-version "5.16.0">
-<!ENTITY iproute2-size "843 KB">
+<!ENTITY iproute2-version "5.17.0">
+<!ENTITY iproute2-size "851 KB">
 <!ENTITY iproute2-url "&kernel;linux/utils/net/iproute2/iproute2-&iproute2-version;.tar.xz">
-<!ENTITY iproute2-md5 "994c1bad2a24aa9d70e89670c5b5dfcb">
+<!ENTITY iproute2-md5 "8ade96ee93f37fba7e1beec89f1a54bf">
 <!ENTITY iproute2-home "&kernel;linux/utils/net/iproute2/">
 <!ENTITY iproute2-fin-du "15 MB">
 <!ENTITY iproute2-fin-sbu "0.2 SBU">
 
-<!ENTITY jinja2-version "3.0.3">
-<!ENTITY jinja2-size "263 KB">
+<!ENTITY jinja2-version "3.1.1">
+<!ENTITY jinja2-size "261 KB">
 <!ENTITY jinja2-url "https://files.pythonhosted.org/packages/source/J/Jinja2/Jinja2-&jinja2-version;.tar.gz">
-<!ENTITY jinja2-md5 "b76ae2f0647abebc81e7c03f5fb7b00f">
+<!ENTITY jinja2-md5 "964afcd0853f67f20f7b2e34e5935564">
 <!ENTITY jinja2-home "https://jinja.palletsprojects.com/en/3.0.x/">
 <!ENTITY jinja2-fin-du "3.7 MB">
@@ -427,11 +427,11 @@
 
 <!ENTITY linux-major-version "5">
-<!ENTITY linux-minor-version "16">
-<!ENTITY linux-patch-version "16">
+<!ENTITY linux-minor-version "17">
+<!ENTITY linux-patch-version "1">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "124,600 KB">
+<!ENTITY linux-size "125,378 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "bd7eeeeb178363b123bf1853c635afac">
+<!ENTITY linux-md5 "1b96df11f2eda625c1637d3e941848ad">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 5.13.4 / gcc-11.1.0 on x86_64 : minimum is
@@ -491,8 +491,8 @@
 <!ENTITY markupsafe-fin-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.61.3">
-<!ENTITY meson-size "1,965 KB">
+<!ENTITY meson-version "0.62.0">
+<!ENTITY meson-size "1,986 KB">
 <!ENTITY meson-url "&github;/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "8998d77313d753a0c474d9bdf1738b2e">
+<!ENTITY meson-md5 "2b8c86273f9f94aada9adcce895861d8">
 <!ENTITY meson-home "https://mesonbuild.com">
 <!ENTITY meson-fin-du "41 MB">
@@ -573,8 +573,8 @@
 <!ENTITY pkgconfig-fin-sbu "0.3 SBU">
 
-<!ENTITY procps-ng-version "3.3.17">
-<!ENTITY procps-ng-size "985 KB">
+<!ENTITY procps-ng-version "4.0.0">
+<!ENTITY procps-ng-size "979 KB">
 <!ENTITY procps-ng-url "https://sourceforge.net/projects/procps-ng/files/Production/procps-ng-&procps-ng-version;.tar.xz">
-<!ENTITY procps-ng-md5 "d60613e88c2f442ebd462b5a75313d56">
+<!ENTITY procps-ng-md5 "eedf93f2f6083afb7abf72188018e1e5">
 <!ENTITY procps-ng-home "https://sourceforge.net/projects/procps-ng">
 <!ENTITY procps-ng-fin-du "19 MB">
@@ -592,9 +592,9 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.10.3">
+<!ENTITY python-version "3.10.4">
 <!ENTITY python-minor "3.10">
-<!ENTITY python-size "18,896 KB">
+<!ENTITY python-size "18,890 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "21e0b70d70fdd4756aafc4caa55cc17e">
+<!ENTITY python-md5 "21f2e113e087083a1e8cf10553d93599">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-tmp-du "359 MB">
@@ -603,6 +603,6 @@
 <!ENTITY python-fin-sbu "4.3 SBU">
 <!ENTITY python-docs-url "https://www.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "f7936e437c1b05a4ff5835491d516301">
-<!ENTITY python-docs-size "7,092 KB">
+<!ENTITY python-docs-md5 "f5dce93c8149e45324d87c5e05e5fcb9">
+<!ENTITY python-docs-size "7,098 KB">
 
 <!ENTITY readline-version "8.1.2">
@@ -658,8 +658,8 @@
 <!ENTITY systemd-fin-sbu  "2.2 SBU">
 
-<!ENTITY sysvinit-version "3.01">
-<!ENTITY sysvinit-size "124 KB">
+<!ENTITY sysvinit-version "3.02">
+<!ENTITY sysvinit-size "215 KB">
 <!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.xz">
-<!ENTITY sysvinit-md5 "dc14f92af715bcfa33cc25341730452e">
+<!ENTITY sysvinit-md5 "db6ef4ee503211cb45cdd56735108942">
 <!ENTITY sysvinit-home "&savannah-nongnu;/projects/sysvinit">
 <!ENTITY sysvinit-fin-du "1.4 MB">
@@ -710,9 +710,9 @@
 <!ENTITY udev-lfs-home    " ">
 
-<!ENTITY util-linux-minor "2.37">
-<!ENTITY util-linux-version "2.37.4"> <!-- 2.33.x -->
-<!ENTITY util-linux-size "5,971 KB">
+<!ENTITY util-linux-minor "2.38">
+<!ENTITY util-linux-version "2.38"> <!-- 2.33.x -->
+<!ENTITY util-linux-size "7,177 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-minor;/util-linux-&util-linux-version;.tar.xz">
-<!ENTITY util-linux-md5 "755919e658c349cad9e1c7c771742d48">
+<!ENTITY util-linux-md5 "fffdc126809a6d4c1789a9efc1b96623">
 <!ENTITY util-linux-home "https://git.kernel.org/pub/scm/utils/util-linux/util-linux.git/">
 <!ENTITY util-linux-tmp-du "129 MB">
@@ -750,8 +750,8 @@
 <!ENTITY xz-fin-sbu "0.2 SBU">
 
-<!ENTITY zlib-version "1.2.11">
-<!ENTITY zlib-size "457 KB">
+<!ENTITY zlib-version "1.2.12">
+<!ENTITY zlib-size "1259 KB">
 <!ENTITY zlib-url "https://zlib.net/zlib-&zlib-version;.tar.xz">
-<!ENTITY zlib-md5 "85adef240c5f370b308da8c938951a68">
+<!ENTITY zlib-md5 "28687d676c04e7103bb6ff2b9694c471">
 <!ENTITY zlib-home "https://www.zlib.net/">
 <!ENTITY zlib-tmp-du "5.0 MB">