Index: prologue/architecture.xml
===================================================================
--- prologue/architecture.xml	(revision 7ae2811988d440448f8f993d6e9b2df4652f3833)
+++ prologue/architecture.xml	(revision 688a8f513358a64c4ff040bbb1fedbb45eb394fc)
@@ -11,40 +11,24 @@
   <title>LFS Target Architectures</title>
 
-<para>The primary target architectures of LFS are the AMD/Intel x86 (32-bit)
-and x86_64 (64-bit) CPUs.  On the other hand, the instructions in this book are
-also known to work, with some modifications, with the Power PC and ARM CPUs. To
-build a system that utilizes one of these alternative CPUs, the main prerequisite, in
-addition to those on the next page, is an existing Linux system such as an
-earlier LFS installation, Ubuntu, Red Hat/Fedora, SuSE, or some other distribution
-that targets that architecture. (Note that a 32-bit
-distribution can be installed and used as a host system on a 64-bit AMD/Intel
-computer.)</para>
+<para>The target architectures of this LFS edition are ARM64 (sometimes
+called AArch64) CPUs.  On the other hand, the instructions in this book may
+work on 32-bit ARM CPUs with some modifications. To build a system that
+utilizes one of these alternative CPUs, the main prerequisite, in
+addition to those on
+the next page, is an existing Linux system such as an earlier LFS
+installation, Ubuntu, Red Hat/Fedora, SuSE, or other distribution that
+targets the architecture that you have.</para>
 
-<para>The gain from building on a 64-bit system, as
-compared to a 32-bit system, is minimal.
-For example, in a test build of LFS-9.1 on a Core i7-4790 CPU based system,
-using 4 cores, the following statistics were measured:</para>
-
-<screen><computeroutput>Architecture Build Time     Build Size
-32-bit       239.9 minutes  3.6 GB
-64-bit       233.2 minutes  4.4 GB</computeroutput></screen>
-
-<para>As you can see, on the same hardware, the 64-bit build is only 3% faster
-(and 22% larger) than the 32-bit build. If you plan to use LFS as a LAMP
-server, or a firewall, a 32-bit CPU may be good enough. On the other
-hand, several packages in BLFS now need more than 4 GB of RAM to be built
-and/or to run; if you plan to use LFS as a desktop, the LFS authors
-recommend building a 64-bit system.</para>
-
-<para>The default 64-bit build that results from LFS is a
-<quote>pure</quote> 64-bit system. That is, it supports 64-bit executables
-only. Building a <quote>multi-lib</quote> system requires compiling many
+<para>The build results from this LFS edition is considered a
+<quote>pure</quote> 64-bit system.  That is, it supports 64-bit executables
+only.  Building a <quote>multi-lib</quote> system requires compiling many
 applications twice, once for a 32-bit system and once for a 64-bit system.
 This is not directly supported in LFS because it would interfere with the
 educational objective of providing the minimal instructions needed for a
-basic Linux system. Some of the LFS/BLFS editors maintain a multilib fork
+base Linux system. Some LFS/BLFS editors maintain a multilib fork
 of LFS, accessible at <ulink
 url="https://www.linuxfromscratch.org/~thomas/multilib/index.html"/>. But
-that's an advanced topic.</para>
+the multilib edition is for x86_64, and multilib is an advanced topic
+anyway.</para>
 
 </sect1>
Index: prologue/standards.xml
===================================================================
--- prologue/standards.xml	(revision 7ae2811988d440448f8f993d6e9b2df4652f3833)
+++ prologue/standards.xml	(revision 688a8f513358a64c4ff040bbb1fedbb45eb394fc)
@@ -36,6 +36,6 @@
         specifications are architecture specific.  There are also two trial
         specifications: Gtk3 and Graphics.  LFS attempts to conform to the LSB
-        specifications for the IA32 (32-bit x86) or AMD64 (x86_64)
-        architectures discussed in the previous section.</para>
+        generic specifications.  The architecture specific part of LSB does
+        not exist for ARM64.</para>
 
         <note><para>Many people do not agree with these requirements.