Index: chapter03/creatingdirs.xml
===================================================================
--- chapter03/creatingdirs.xml	(revision 0375b34d456d75f0d571b6beb56625d000a69701)
+++ chapter03/creatingdirs.xml	(revision 728ea56c70a6f40317c239374acec6b4e3367ca4)
@@ -3,8 +3,8 @@
 
 <para>
-Let's create the directory tree on the LFS partition according to the FHS
+Let's create the directory tree on the LFS partition based on the FHS
 standard, which can be found at <ulink
 url="http://www.pathname.com/fhs/">http://www.pathname.com/fhs/</ulink>.
-Issuing the following commands will create the necessary directories:
+Issuing the following commands will create a default directory layout:
 </para>
  
@@ -37,14 +37,13 @@
 <para>
 Normally, directories are created with permission mode 755, which isn't
-desired for all directories. I haven't checked if the FHS suggests
-default modes for certain directories, so I'll just change the modes for
-a few directories that make sense to change. The first change is a mode 
-0750 for the $LFS/root directory. This is to make sure that not just 
-everybody can enter the /root directory (the same a user would do with 
-/home/username directories). The second change is a mode 1777 for the tmp 
-directories. This way, any user can write stuff to the /tmp directory when
-needed. The sticky (1) bit makes sure users can't delete other 
-users' files which they normally can do, because the directory is set in 
-such a way that everybody (owner, group, world) can write to that directory.
+desired for all directories. The first change is a mode 0750 for the 
+$LFS/root directory. This is to make sure that not just everybody can 
+enter the /root directory (the same a user would do with /home/username 
+directories). The second change is a mode 1777 for the tmp 
+directories. This way, any user can write data to the /tmp directory when
+needed. The sticky bit (the first bit in the 1777 mask) makes sure 
+users can't delete other users files which they normally can do, 
+because the directory is set in such a way that everybody (owner, group, 
+world) can write to that directory (the 777 in the bit mask)
 </para>
 
@@ -59,6 +58,6 @@
 <para>
 Now that the directories are created, copy the source files that were
-downloaded in chapter 3 to some subdirectory under $LFS/usr/src (this 
-directory still needs to be created yet).
+downloaded in chapter 3 to some subdirectory under $LFS/usr/src (you
+will need to create the desired directory yourself).
 </para>
 
Index: chapter03/creatingfs.xml
===================================================================
--- chapter03/creatingfs.xml	(revision 0375b34d456d75f0d571b6beb56625d000a69701)
+++ chapter03/creatingfs.xml	(revision 728ea56c70a6f40317c239374acec6b4e3367ca4)
@@ -4,9 +4,9 @@
 <para>
 Once the partition is created, we have to create a new file system on
-that partition. To create an ext2 file system, the mke2fs command is the
-correct choice. To create a reiser file system, the mkreiserfs command
-should be used. The new partition is used as the only option to the
-command and the file system is created. If the partition is hda11
-and ext2 is to be created, the user would run:
+that partition. To create an ext2 file system, use the mke2fs command. 
+To create a reiser file system, the mkreiserfs command should be used. 
+The new partition is used as the only option to the command and the file 
+system is created. If the partition is hda11 and ext2 is to be created, 
+run the following:
 </para>
 
@@ -18,5 +18,5 @@
 
 <para>
-To create a reiser file system the user would run:
+To create a reiser file system, run the following:
 </para>
 
Index: chapter03/mounting.xml
===================================================================
--- chapter03/mounting.xml	(revision 0375b34d456d75f0d571b6beb56625d000a69701)
+++ chapter03/mounting.xml	(revision 728ea56c70a6f40317c239374acec6b4e3367ca4)
@@ -1,14 +1,13 @@
-<sect1 id="ch04-mountingpart">
+<sect1 id="ch04-mounting">
 <title>Mounting the new partition</title>
 
 <para>
-Now that we have created the ext2 file system, it is ready for use. All we have
-to do to be able to access it (as in reading from and writing date to it) is
-mounting it. If it is mounted under /mnt/lfs, this partition can be accessed 
-by going to the /mnt/lfs directory and then doing whatever needed to do. This
-book will assume that the partition was mounted on a subdirectory
-under /mnt. It doesn't matter which directory is chosen, the user just has 
-to make sure
-that he remembers what he chose.
+Now that we have created a file system, it is ready for use. All we have
+to do to be able to access it (as in reading data from and writing data to 
+it) is mounting it. If it is mounted under /mnt/lfs, this partition can 
+be accessed by going to the /mnt/lfs directory and then doing whatever 
+needed to do. This book will assume that the partition was mounted 
+under /mnt/lfs. It doesn't matter which directory is chosen, the 
+user just has to make sure that he remembers what he chose.
 </para>
 
@@ -34,13 +33,12 @@
 
 <para>
-Replace <quote>xxx</quote> by the partition's designation.
+Replace <quote>xxx</quote> by the partition's designation (like hda11).
 </para>
 
 <para>
-This directory (/mnt/lfs) is the $LFS variable I have written about earlier.
-So if the user somewhere reads to "cp inittab $LFS/etc" he actually will type
-<quote>cp inittab /mnt/lfs/etc</quote>. Or if he wants to use the $LFS
-environment variable, <userinput>export LFS=/mnt/lfs</userinput> has to be 
-executed now.  </para>
+This directory (/mnt/lfs) is the $LFS variable you have read about earlier.
+If you were planning to make use of the $LFS environment variable, 
+<userinput>export LFS=/mnt/lfs</userinput> has to be executed now.
+</para>
 
 </sect1>