Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ chapter01/changelog.xml	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -44,4 +44,30 @@
     -->
     <listitem>
+      <para>2020-05-08</para>
+      <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to bison-3.6. Fixes
+          <ulink url="&lfs-ticket-root;4652">#4652</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to gcc-10.1.0. Fixes
+          <ulink url="&lfs-ticket-root;4651">#4651</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to libcap-2.34. Fixes
+          <ulink url="&lfs-ticket-root;4650">#4650</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to bc-2.7.2. Fixes
+          <ulink url="&lfs-ticket-root;4648">#4648</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to linux-5.6.11. Fixes
+          <ulink url="&lfs-ticket-root;4649">#4649</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2020-05-01</para>
       <itemizedlist>
Index: chapter06/bison.xml
===================================================================
--- chapter06/bison.xml	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ chapter06/bison.xml	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -63,5 +63,5 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
-    <para>13 tests fail in the "Diagnostics" section, probably because of
+    <para>Fourteen tests fail in the "Diagnostics" section, probably because of
     missing locales.</para>
 
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ chapter06/e2fsprogs.xml	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -172,5 +172,5 @@
 
       <seglistitem>
-        <seg>badblocks, chattr, compile_et, debugfs, dumpe2fs,e2freefrag,
+        <seg>badblocks, chattr, compile_et, debugfs, dumpe2fs, e2freefrag,
         e2fsck, e2image, e2label, e2mmpstatus, e2scrub, e2scrub_all, e2undo,
         e4crypt, e4defrag, filefrag, fsck.ext2,
Index: chapter06/gcc.xml
===================================================================
--- chapter06/gcc.xml	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ chapter06/gcc.xml	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -136,6 +136,4 @@
     are known to fail in LFS chroot environment because they require
     /etc/hosts and iana-etc.</para>
-
-    <para>Two tests named pr57193.c and pr90178.c are known to fail.</para>
 
     <para>A few unexpected failures cannot always be avoided. The GCC developers
Index: chapter06/gdbm.xml
===================================================================
--- chapter06/gdbm.xml	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ chapter06/gdbm.xml	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -44,4 +44,8 @@
   <sect2 role="installation">
     <title>Installation of GDBM</title>
+
+    <para>First, fix an issue first identified by gcc-10:</para>
+
+<screen><userinput remap="pre">sed -r -i '/^char.*parseopt_program_(doc|args)/d' src/parseopt.c</userinput></screen>
 
     <para>Prepare GDBM for compilation:</para>
Index: chapter06/man-db.xml
===================================================================
--- chapter06/man-db.xml	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ chapter06/man-db.xml	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -127,4 +127,6 @@
 <screen><userinput remap="test">make check</userinput></screen>
 
+    <para>One test, man-missing-locales, is known to fail in the LFS chroot envirnment.</para>
+
     <para>Install the package:</para>
 
Index: general.ent
===================================================================
--- general.ent	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ general.ent	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20200501">
+<!ENTITY version         "SVN-20200508">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20200501-systemd">
+<!ENTITY versiond        "20200508-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "May 1st, 2020">
+<!ENTITY releasedate     "May 8th, 2020">
 
 <!ENTITY copyrightdate   "1999-2020"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 3256c73e84180375ced3ff5be00f94dac463ad95)
+++ packages.ent	(revision 784b3bb9a32eec1bcb2a901c9a6b3052fdc4f8f7)
@@ -51,8 +51,8 @@
 <!ENTITY bash-ch6-sbu "1.9 SBU">
 
-<!ENTITY bc-version "2.6.1">
-<!ENTITY bc-size "162 KB">
+<!ENTITY bc-version "2.7.2">
+<!ENTITY bc-size "185 KB">
 <!ENTITY bc-url "https://github.com/gavinhoward/bc/releases/download/&bc-version;/bc-&bc-version;.tar.xz">
-<!ENTITY bc-md5 "e9ffa2cba2a37e1b145034be78c3be45">
+<!ENTITY bc-md5 "28235ceaf2280b909591ace7a3a4f051">
 <!ENTITY bc-home "https://github.com/gavinhoward/bc">
 <!ENTITY bc-ch6-du "2.9 MB">
@@ -71,8 +71,8 @@
 <!ENTITY binutils-ch6-sbu "6.7 SBU">
 
-<!ENTITY bison-version "3.5.4">
-<!ENTITY bison-size "2,315 KB">
+<!ENTITY bison-version "3.6">
+<!ENTITY bison-size "2,406 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "eca85fc68de0aa77b26963b0a30d995a">
+<!ENTITY bison-md5 "132d05287e2c9f98d848e2366f17a949">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-ch5-du "43 MB">
@@ -225,21 +225,21 @@
 <!ENTITY gawk-ch6-sbu "0.4 SBU">
 
-<!ENTITY gcc-version "9.3.0">
-<!ENTITY gcc-size "68,881 KB">
+<!ENTITY gcc-version "10.1.0">
+<!ENTITY gcc-size "72,844 KB">
 <!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.xz">
-<!ENTITY gcc-md5 "d00a144b771ddeb021b61aa205b7e345">
+<!ENTITY gcc-md5 "7d48e00245330c48b670ec9a2c518291">
 <!ENTITY gcc-home "https://gcc.gnu.org/">
-<!ENTITY gcc-ch5p1-du "3.1 GB">
-<!ENTITY gcc-ch5p1-sbu "10 SBU">
-<!ENTITY gcc-ch5p2-du "3.7 GB">
-<!ENTITY gcc-ch5p2-sbu "13 SBU">
-<!ENTITY gcc-ch6-du "4.2 GB ">
-<!ENTITY gcc-ch6-sbu "88 SBU (with tests)">
+<!ENTITY gcc-ch5p1-du "3.9 GB">
+<!ENTITY gcc-ch5p1-sbu "12 SBU">
+<!ENTITY gcc-ch5p2-du "4.3 GB">
+<!ENTITY gcc-ch5p2-sbu "14 SBU">
+<!ENTITY gcc-ch6-du "4.9 GB ">
+<!ENTITY gcc-ch6-sbu "103 SBU (with tests)">
 <!ENTITY libquadmath-version "0.0.0">
 <!ENTITY libstdcpp-version   "6.0.28">
 <!ENTITY libitm-version      "1.0.0">
 <!ENTITY libatomic-version   "1.2.0">
-<!ENTITY libmpx-version      "2.0.1">
-<!ENTITY libmpxwrap-version  "2.0.1">
+<!--<!ENTITY libmpx-version      "2.0.1">-->
+<!--<!ENTITY libmpxwrap-version  "2.0.1">-->
 <!--<!ENTITY libcilkrts-version  "5.0.0">-->
 
@@ -392,8 +392,8 @@
 <!ENTITY lfs-bootscripts-ch7-sbu "less than 0.1 SBU">
 
-<!ENTITY libcap-version "2.33">
+<!ENTITY libcap-version "2.34">
 <!ENTITY libcap-size "109 KB">
 <!ENTITY libcap-url "&kernel;linux/libs/security/linux-privs/libcap2/libcap-&libcap-version;.tar.xz">
-<!ENTITY libcap-md5 "dcc6220b4a9bf260050b20c07edcddf4">
+<!ENTITY libcap-md5 "66028a8080a0891c54b202bb5e749035">
 <!ENTITY libcap-home "https://sites.google.com/site/fullycapable/">
 <!ENTITY libcap-ch6-du "8.5 MB">
@@ -426,10 +426,10 @@
 <!ENTITY linux-major-version "5">
 <!ENTITY linux-minor-version "6">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "11">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
 <!ENTITY linux-size "109,179 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "868fd09779cadda29cb27c93fd40466e">
+<!ENTITY linux-md5 "2af56bf5539b0e21fd6b27e0941a92aa">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -701,11 +701,11 @@
 <!ENTITY util-linux-ch6-sbu "1.1 SBU">
 
-<!ENTITY vim-version "8.2.0486">
+<!ENTITY vim-version "8.2.0716">
 <!ENTITY vim-majmin "82">
 <!ENTITY vim-docdir "vim/vim82">
-<!ENTITY vim-size "14,532 KB">
+<!ENTITY vim-size "14,595 KB">
 <!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
 <!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
-<!ENTITY vim-md5 "b1b26d5b7ec294186702fb982b6d226c">
+<!ENTITY vim-md5 "004b4596f185889fbca5b8d513f294ce">
 <!ENTITY vim-home "https://www.vim.org">
 <!ENTITY vim-ch6-du "202 MB">