Index: chapter03/packages.xml
===================================================================
--- chapter03/packages.xml	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
+++ chapter03/packages.xml	(revision 788f897d93382aa01ed8e41f49d323810c7e2e2d)
@@ -455,5 +455,4 @@
           cost for a subsequent patch level upgrade within a minor release.
           </para>
-
         </note>
       </listitem>
@@ -753,4 +752,11 @@
         <para>Download: <ulink url="&vim-url;"/></para>
         <para>MD5 sum: <literal>&vim-md5;</literal></para>
+        <note>
+          <para>
+            The version of vim changes daily. The get the latest version, go to
+            <ulink url="https://github.com/vim/vim/releases">
+            https://github.com/vim/vim/releases</ulink>.
+          </para>
+        </note>
       </listitem>
     </varlistentry>
Index: chapter05/gcc-pass1.xml
===================================================================
--- chapter05/gcc-pass1.xml	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
+++ chapter05/gcc-pass1.xml	(revision 788f897d93382aa01ed8e41f49d323810c7e2e2d)
@@ -184,4 +184,13 @@
 
       <varlistentry>
+        <term><parameter>--with-glibc-version=2.11</parameter></term>
+        <listitem>
+          <para>This option ensures the package will be compatible with the host's
+          version of glibc.  It is set to the minimum glibc requirement 
+          specified in the <xref linkend="ch-partitioning-hostreqs"/>.</para>
+        </listitem>
+      </varlistentry>
+
+      <varlistentry>
         <term><parameter>--with-newlib</parameter></term>
         <listitem>
Index: chapter06/glibc.xml
===================================================================
--- chapter06/glibc.xml	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
+++ chapter06/glibc.xml	(revision 788f897d93382aa01ed8e41f49d323810c7e2e2d)
@@ -62,9 +62,10 @@
 <screen><userinput remap="pre">patch -Np1 -i ../&glibc-glob-patch;</userinput></screen>
 -->
+<!-- No longer needed
     <para>Fix a problem introduced with the linux-5.2 kernel:</para>
 
 <screen><userinput remap="pre">sed -i '/asm.socket.h/a# include &lt;linux/sockios.h&gt;' \
    sysdeps/unix/sysv/linux/bits/socket.h</userinput></screen>
-
+-->
     <para>Create a symlink for LSB
     compliance. Additionally, for x86_64, create a compatibility symlink
Index: lfs-latest.php
===================================================================
--- lfs-latest.php	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
+++ lfs-latest.php	(revision 788f897d93382aa01ed8e41f49d323810c7e2e2d)
@@ -121,6 +121,8 @@
 if ( $package == "mpfr"       ) $dirpath = "http://mpfr.loria.fr/mpfr-current";
 if ( $package == "ninja"      ) $dirpath = "https://github.com/ninja-build/ninja/releases";
-if ( $package == "procps-ng"  ) $dirpath = "http://sourceforge.net/projects/procps-ng/files";
-if ( $package == "psmisc"     ) $dirpath = "http://sourceforge.net/projects/$package/files";
+//if ( $package == "procps-ng"  ) $dirpath = "http://sourceforge.net/projects/procps-ng/files";
+if ( $package == "procps-ng"  ) $dirpath = "https://gitlab.com/procps-ng/procps/-/tags";
+//if ( $package == "psmisc"     ) $dirpath = "http://sourceforge.net/projects/$package/files";
+if ( $package == "psmisc"     ) $dirpath = "https://gitlab.com/psmisc/psmisc/-/tags";
 if ( $package == "shadow"     ) $dirpath = "https://github.com/shadow-maint/shadow/releases";
 if ( $package == "systemd"    ) $dirpath = "https://github.com/systemd/systemd/releases";
@@ -276,4 +278,10 @@
   }
 
+  if ( $package == "procps-ng" )
+     return find_max( $lines, "/release/", "/^.* ([\d\.]+).*$/" );
+
+  if ( $package == "psmisc" )
+     return find_max( $lines, "/^v/", "/^v([\d\.]+).*$/" );
+
   if ( $package == "grub" )
      return find_max( $lines, "/grub/", "/^.*grub-(\d\..*).tar.xz.*$/" );
Index: packages.ent
===================================================================
--- packages.ent	(revision 54a6bc99847268b257970f11dbbbae2f87e4ee78)
+++ packages.ent	(revision 788f897d93382aa01ed8e41f49d323810c7e2e2d)
@@ -719,5 +719,6 @@
 <!ENTITY vim-docdir "vim/vim82">
 <!ENTITY vim-size "14,406 KB">
-<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">
+<!--<!ENTITY vim-url "https://github.com/vim/vim/archive/v&vim-version;/vim-&vim-version;.tar.gz">-->
+<!ENTITY vim-url "&anduin-sources;/vim-&vim-version;.tar.gz">
 <!ENTITY vim-md5 "f5337b1170df90e644a636539a0313a3">
 <!ENTITY vim-home "https://www.vim.org">