Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision e7ccf4be74fed84f3613c2e3c60255ff8b021ebc)
+++ chapter01/changelog.xml	(revision 805a05392584ec283bb3c4baec93708e260b4a7a)
@@ -43,4 +43,25 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+    <listitem>
+      <para>2017-03-03</para>
+      <itemizedlist>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to dbus-1.10.16. Fixes
+          <ulink url="&lfs-ticket-root;4050">#4050</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to linux-4.10.1. Fixes
+          <ulink url="&lfs-ticket-root;4056">#4056</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to tzdata2017a. Fixes
+          <ulink url="&lfs-ticket-root;4057">#4057</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to systemd-233. Fixes
+          <ulink url="&lfs-ticket-root;4058">#4058</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision e7ccf4be74fed84f3613c2e3c60255ff8b021ebc)
+++ chapter06/systemd.xml	(revision 805a05392584ec283bb3c4baec93708e260b4a7a)
@@ -82,4 +82,5 @@
 cc_cv_CFLAGS__flto=no
 SULOGIN="/sbin/sulogin"
+GPERF_LEN_TYPE=size_t
 XSLTPROC="/usr/bin/xsltproc"</literal>
 EOF</userinput></screen>
@@ -186,7 +187,11 @@
     </variablelist>
 
+    <para>Fix a generated file:</para>
+
+<screen><userinput remap="pre">sed -i s/size_t/GPERF_LEN_TYPE/ src/resolve/dns_type-from-name.h</userinput></screen>
+
     <para>Compile the package:</para>
 
-<screen><userinput remap="make">make LIBRARY_PATH=/tools/lib</userinput></screen>
+<screen><userinput remap="make">make LD_LIBRARY_PATH=/tools/lib</userinput></screen>
 
     <para>This package has a test suite, but it can only be run after the
Index: general.ent
===================================================================
--- general.ent	(revision e7ccf4be74fed84f3613c2e3c60255ff8b021ebc)
+++ general.ent	(revision 805a05392584ec283bb3c4baec93708e260b4a7a)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20170226">
+<!ENTITY version         "SVN-20170303">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20170225-systemd">
+<!ENTITY versiond        "20170303-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "February 25, 2017">
+<!ENTITY releasedate     "March 3rd, 2017">
 <!ENTITY copyrightdate   "1999-2017"><!-- jhalfs needs a literal dash, not &ndash; -->
 <!ENTITY milestone       "8.0">
Index: packages.ent
===================================================================
--- packages.ent	(revision e7ccf4be74fed84f3613c2e3c60255ff8b021ebc)
+++ packages.ent	(revision 805a05392584ec283bb3c4baec93708e260b4a7a)
@@ -109,8 +109,8 @@
 <!ENTITY coreutils-ch6-sbu "3.1 SBU">
 
-<!ENTITY dbus-version "1.10.14">
+<!ENTITY dbus-version "1.10.16">
 <!ENTITY dbus-size "1,940 KB">
 <!ENTITY dbus-url "http://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
-<!ENTITY dbus-md5 "3f7b013ce8f641cd4c897acda0ef3467">
+<!ENTITY dbus-md5 "7f06c43736874c1ff50ae20392955511">
 <!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
 <!ENTITY dbus-ch6-du "22 MB">
@@ -393,10 +393,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "10">
-<!ENTITY linux-patch-version "0">
-<!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">-->
-<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">
+<!ENTITY linux-patch-version "1">
+<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
+<!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-size "92,023 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "b5e7f6b9b2fe1b6cc7bc56a3a0bfc090">
+<!ENTITY linux-md5 "ed01fa8c30342def9712769762ca55ea">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -551,8 +551,8 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version "232">
+<!ENTITY systemd-version "233">
 <!ENTITY systemd-size    "3,948 KB">
 <!ENTITY systemd-url     "http://anduin.linuxfromscratch.org/sources/other/systemd/systemd-&systemd-version;.tar.xz">
-<!ENTITY systemd-md5     "281604885d5a87f0359244f6f84037cb">
+<!ENTITY systemd-md5     "8d95734fdfcd13855746f143de1e3c86">
 <!ENTITY systemd-home    "http://www.freedesktop.org/wiki/Software/systemd/">
 <!ENTITY systemd-ch6-du  "507 MB">
@@ -596,8 +596,8 @@
 <!ENTITY texinfo-ch6-sbu "0.5 SBU">
 
-<!ENTITY tzdata-version "2016j">
+<!ENTITY tzdata-version "2017a">
 <!ENTITY tzdata-size "316 KB">
 <!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "db361d005ac8b30a2d18c5ca38d3e8ab">
+<!ENTITY tzdata-md5 "cb8274cd175f8a4d9d1b89895df876dc">
 <!ENTITY tzdata-home "http://www.iana.org/time-zones">
 